summaryrefslogtreecommitdiff
path: root/ci
diff options
context:
space:
mode:
authorNed Batchelder <ned@nedbatchelder.com>2017-01-19 09:18:11 -0500
committerNed Batchelder <ned@nedbatchelder.com>2017-01-19 09:18:11 -0500
commit94b12fbfe4151d0d36b91bce9b93c361c0bff200 (patch)
tree1b4c89dc523ecae2ad534230f45cca777a87f354 /ci
parent977f6a76808750f7c2c5ac4c8ea2ae8c88ebf7ae (diff)
downloadpython-coveragepy-94b12fbfe4151d0d36b91bce9b93c361c0bff200.tar.gz
Process to build manylinux wheels
Diffstat (limited to 'ci')
-rwxr-xr-xci/build_manylinux.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/ci/build_manylinux.sh b/ci/build_manylinux.sh
new file mode 100755
index 0000000..4ab64eb
--- /dev/null
+++ b/ci/build_manylinux.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# From: https://github.com/pypa/python-manylinux-demo/blob/master/travis/build-wheels.sh
+# which is in the public domain.
+#
+# This is run inside a Centos 5 virtual machine to build manylinux wheels.
+
+set -e -x
+
+# Install a system package required by our library
+yum install -y atlas-devel
+
+# Compile wheels
+for PYBIN in /opt/python/*/bin; do
+ "${PYBIN}/pip" install -r /io/requirements/wheel.pip
+ "${PYBIN}/pip" wheel /io/ -w wheelhouse/
+done
+
+# Bundle external shared libraries into the wheels
+for whl in wheelhouse/*.whl; do
+ auditwheel repair "$whl" -w /io/dist/
+done
+
+# Install packages and test
+# for PYBIN in /opt/python/*/bin/; do
+# "${PYBIN}/pip" install python-manylinux-demo --no-index -f /io/dist
+# (cd "$HOME"; "${PYBIN}/nosetests" pymanylinuxdemo)
+# done